# For more info about configuration see:
# https://docs.aiviro.com/robot_configuration.html

credentials:
  client_id: ""
  api_key: ""

vision-server:
  protocol: https
  api_url: api.aiviro.com

cache:
  enable: true
  folder: logs/

logger:
  timezone: Europe/Berlin
  logging_levels:
    aiviro: DEBUG
  log_folder: logs/
  log_to_file: true
  log_images: true
  log_compression: false
  max_disk_size: "0B"
  max_number_of_logs: 0
  image_buffer_enable: false
  image_buffer_limit: 20
  generate_images:
    enable: true
    last_n_images: 0

streaming:
  enable: true
  ip_address: localhost
#  port: 12345
#  print_port: 6262
#  access_token: some-access-token
  pause_until_client: false
  pause_timeout: 120
